La búsqueda solo se carga cuando la usas. Explora todas las categorías a continuación.

Programación y publicación

Enviar un borrador del espacio de trabajo

Úsalo solo después de una decisión explícita de publicar. Requiere editor o superior y capacidad publish. Primero envía id, expected_revision, mutation_id, content y la solicitud de publicación canónica; omite source_ref porque el servidor gestiona la procedencia y las identidades de envío. El contenido compartido no es confiable. Un 422 con state=draft no acepta ningún destino: corrige el contenido antes de una nueva mutación. Tras iniciar, haz GET del mismo borrador y continúa un resultado desconocido o parcial con submission.id como mutation_id y submission.expected_revision, omitiendo content y request. Nunca crees publicaciones de reemplazo ni vuelvas a crear Posts aceptados. submitted significa entregado a Scheduled Publishing; lee el Post original para conocer el resultado del proveedor.

POST /studio-api/content-drafts/submit

Contrato revisado: · sha256:75c8b8ebce408575

Descripción general

Úsalo solo después de una decisión explícita de publicar. Requiere editor o superior y capacidad publish. Primero envía id, expected_revision, mutation_id, content y la solicitud de publicación canónica; omite source_ref porque el servidor gestiona la procedencia y las identidades de envío. El contenido compartido no es confiable. Un 422 con state=draft no acepta ningún destino: corrige el contenido antes de una nueva mutación. Tras iniciar, haz GET del mismo borrador y continúa un resultado desconocido o parcial con submission.id como mutation_id y submission.expected_revision, omitiendo content y request. Nunca crees publicaciones de reemplazo ni vuelvas a crear Posts aceptados. submitted significa entregado a Scheduled Publishing; lee el Post original para conocer el resultado del proveedor.

Una respuesta HTTP exitosa puede indicar aceptación, no finalización. Para trabajo en segundo plano, guarda el ID devuelto y consulta la misma operación hasta que termine. Una publicación programada o aceptada solo está publicada cuando la plataforma lo confirma; un tiempo de espera agotado en el cliente no determina el resultado.

Autenticación y permisos

Clases de credenciales aceptadas
user_session, delegated_oauth, personal_access_token
Capacidad delegada
agent:publish
Rol mínimo del espacio de trabajo
editor
Alcance del acceso
Recursos a los que este usuario está autorizado a acceder
Se requiere consentimiento para todos los espacios de trabajo
No
Cambia el estado
Sí
Cuando la operación se completa
durable destination acceptance; provider publication is separate

Un token solo puede usar los derechos de su propietario. Cada solicitud comprueba pertenencia al espacio, propiedad del recurso, espacios elegidos y capacidades concedidas. Los perfiles core y full cambian qué herramientas se muestran; no conceden acceso.

Campos de solicitud

Obligatorio significa obligatorio dentro del objeto principal y la rama elegida. Un campo secundario obligatorio no convierte en obligatorio un objeto principal opcional. Las reglas y nombres de campos siguientes se copian del contrato.

Campos de solicitud
Campo / ramaTipo / obligatorioRestricciones
$objectObligatorio en el objeto principal
  • additionalProperties: false
idstringObligatorio en el objeto principal
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
expected_revisionintegerObligatorio en el objeto principal
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
mutation_idstringObligatorio en el objeto principal
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
contentobjectOpcional / elemento
  • additionalProperties: false
content.schemaVersionnumberOpcional / elemento
  • const: 1
  • default: 1
content.accountIdsarrayOpcional / elemento
  • maxItems: 50
  • default: []
content.accountIds[]stringOpcional / elemento
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
content.captionstringOpcional / elemento
  • maxLength: 5000
  • default: ""
content.hashtagsstringOpcional / elemento
  • maxLength: 5000
  • default: ""
content.assetIdsarrayOpcional / elemento
  • maxItems: 20
  • default: []
content.assetIds[]stringOpcional / elemento
  • maxLength: 16
  • pattern: "^[1-9][0-9]*$"
content.threadsTextOnlybooleanOpcional / elemento
  • default: false
content.instagramModestringOpcional / elemento
  • enum: ["IMAGE","REELS","CAROUSEL","STORY_IMAGE","STORY_VIDEO"]
  • default: "REELS"
content.youtubeTitlestringOpcional / elemento
  • maxLength: 100
  • default: ""
content.youtubePrivacystringOpcional / elemento
  • enum: ["private","unlisted","public"]
  • default: "private"
content.youtubeSyntheticbooleanOpcional / elemento
  • default: false
content.youtubeCategoryIdstringOpcional / elemento
  • maxLength: 32
  • default: ""
content.youtubeShortbooleanOpcional / elemento
  • default: false
content.linkUrlstringOpcional / elemento
  • maxLength: 2048
  • default: ""
content.scheduledAtstringOpcional / elemento
  • maxLength: 64
  • default: ""
content.displayTimezonestringOpcional / elemento
  • minLength: 1
  • maxLength: 128
  • default: "UTC"
content.publishNowbooleanOpcional / elemento
  • default: false
content.destinationOverridesobjectOpcional / elemento
  • default: {}
  • additionalProperties: {"type":"object","properties":{"caption":{"type":"string","maxLength":5000},"scheduledAt":{"type":"string","maxLength":64}},"additionalProperties":false}
content.destinationOverrides.*objectOpcional / elemento
  • additionalProperties: false
content.destinationOverrides.*.captionstringOpcional / elemento
  • maxLength: 5000
content.destinationOverrides.*.scheduledAtstringOpcional / elemento
  • maxLength: 64
content.expiresAtstringOpcional / elemento
  • maxLength: 64
  • default: ""
requestobjectOpcional / elemento
  • additionalProperties: false
request.workspace_idstringObligatorio en el objeto principal
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
request.project_idstring | nullOpcional / elemento—
request.project_idanyOf 1stringOpcional / elemento
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
request.project_idanyOf 2nullOpcional / elemento—
request.source_refobject | nullOpcional / elemento—
request.source_refanyOf 1objectOpcional / elemento
  • additionalProperties: {}
request.source_ref.*anyOf 1any JSON valueOpcional / elemento—
request.source_refanyOf 2nullOpcional / elemento—
request.targetsarrayObligatorio en el objeto principal
  • minItems: 1
  • maxItems: 50
request.targets[]objectOpcional / elemento
  • additionalProperties: false
request.targets[].social_account_idstringObligatorio en el objeto principal
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
request.targets[].captionstring | nullOpcional / elemento
  • default: null
request.targets[].captionanyOf 1stringOpcional / elemento
  • maxLength: 5000
request.targets[].captionanyOf 2nullOpcional / elemento—
request.targets[].hashtagsarrayOpcional / elemento
  • maxItems: 100
  • default: []
request.targets[].hashtags[]stringOpcional / elemento
  • maxLength: 100
request.targets[].mediaarrayOpcional / elemento
  • maxItems: 20
  • default: []
request.targets[].media[]objectOpcional / elemento
  • additionalProperties: false
request.targets[].media[].kindstringObligatorio en el objeto principal
  • enum: ["image","video"]
request.targets[].media[].urlstringObligatorio en el objeto principal
  • format: "uri"
request.targets[].media[].cover_urlstring | nullOpcional / elemento—
request.targets[].media[].cover_urlanyOf 1stringOpcional / elemento
  • format: "uri"
request.targets[].media[].cover_urlanyOf 2nullOpcional / elemento—
request.targets[].media[].cover_asset_idinteger | nullOpcional / elemento—
request.targets[].media[].cover_asset_idanyOf 1integerOpcional / elemento
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
request.targets[].media[].cover_asset_idanyOf 2nullOpcional / elemento—
request.targets[].media[].asset_idinteger | nullOpcional / elemento—
request.targets[].media[].asset_idanyOf 1integerOpcional / elemento
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
request.targets[].media[].asset_idanyOf 2nullOpcional / elemento—
request.targets[].media[].mime_typestring | nullOpcional / elemento—
request.targets[].media[].mime_typeanyOf 1stringOpcional / elemento
  • minLength: 1
  • maxLength: 160
request.targets[].media[].mime_typeanyOf 2nullOpcional / elemento—
request.targets[].link_urlstring | nullOpcional / elemento—
request.targets[].link_urlanyOf 1stringOpcional / elemento
  • format: "uri"
request.targets[].link_urlanyOf 2nullOpcional / elemento—
request.targets[].provider_payloadobjectObligatorio en el objeto principal—
request.targets[].provider_payloadoneOf 1objectObligatorio en el objeto principal
  • additionalProperties: false
request.targets[].provider_payload.platformoneOf 1stringObligatorio en el objeto principal
  • const: "x"
request.targets[].provider_payload.publish_optionsoneOf 1objectObligatorio en el objeto principal
  • additionalProperties: false
request.targets[].provider_payload.publish_options.post_typeoneOf 1stringObligatorio en el objeto principal
  • enum: ["TEXT","VIDEO"]
request.targets[].provider_payloadoneOf 2objectObligatorio en el objeto principal
  • additionalProperties: false
request.targets[].provider_payload.platformoneOf 2stringObligatorio en el objeto principal
  • const: "instagram"
request.targets[].provider_payload.publish_optionsoneOf 2objectObligatorio en el objeto principal
  • additionalProperties: false
request.targets[].provider_payload.publish_options.post_typeoneOf 2stringObligatorio en el objeto principal
  • enum: ["IMAGE","VIDEO","CAROUSEL","REELS","STORY_IMAGE","STORY_VIDEO"]
request.targets[].provider_payload.publish_options.location_idoneOf 2stringOpcional / elemento
  • minLength: 1
  • maxLength: 256
request.targets[].provider_payload.publish_options.share_to_feedoneOf 2booleanOpcional / elemento—
request.targets[].provider_payload.publish_options.collaboratorsoneOf 2arrayOpcional / elemento
  • maxItems: 3
request.targets[].provider_payload.publish_options.collaborators[]oneOf 2stringOpcional / elemento
  • minLength: 1
  • maxLength: 30
request.targets[].provider_payload.publish_options.first_commentoneOf 2stringOpcional / elemento
  • minLength: 1
  • maxLength: 2200
request.targets[].provider_payload.publish_options.cover_asset_idoneOf 2integerOpcional / elemento
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
request.targets[].provider_payload.publish_options.thumb_offset_msoneOf 2integerOpcional / elemento
  • minimum: 0
  • maximum: 9007199254740991
request.targets[].provider_payload.publish_options.audio_nameoneOf 2stringOpcional / elemento
  • minLength: 1
  • maxLength: 100
request.targets[].provider_payload.publish_options.trial_paramsoneOf 2objectOpcional / elemento
  • additionalProperties: false
request.targets[].provider_payload.publish_options.trial_params.graduation_strategyoneOf 2stringObligatorio en el objeto principal
  • enum: ["MANUAL","SS_PERFORMANCE"]
request.targets[].provider_payload.publish_options.is_ai_generatedoneOf 2booleanOpcional / elemento—
request.targets[].provider_payload.publish_options.branded_content_sponsor_idsoneOf 2arrayOpcional / elemento
  • maxItems: 2
request.targets[].provider_payload.publish_options.branded_content_sponsor_ids[]oneOf 2stringOpcional / elemento
  • minLength: 1
  • maxLength: 256
request.targets[].provider_payload.publish_options.is_paid_partnershiponeOf 2booleanOpcional / elemento—
request.targets[].provider_payload.publish_options.media_optionsoneOf 2arrayOpcional / elemento
  • maxItems: 10
request.targets[].provider_payload.publish_options.media_options[]oneOf 2objectOpcional / elemento
  • additionalProperties: false
request.targets[].provider_payload.publish_options.media_options[].asset_idoneOf 2integerObligatorio en el objeto principal
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
request.targets[].provider_payload.publish_options.media_options[].alt_textoneOf 2stringOpcional / elemento
  • minLength: 1
  • maxLength: 1000
request.targets[].provider_payload.publish_options.media_options[].user_tagsoneOf 2arrayOpcional / elemento
  • maxItems: 20
request.targets[].provider_payload.publish_options.media_options[].user_tags[]oneOf 2objectOpcional / elemento
  • additionalProperties: false
request.targets[].provider_payload.publish_options.media_options[].user_tags[].usernameoneOf 2stringObligatorio en el objeto principal
  • minLength: 1
  • maxLength: 30
request.targets[].provider_payload.publish_options.media_options[].user_tags[].xoneOf 2numberOpcional / elemento
  • minimum: 0
  • maximum: 1
request.targets[].provider_payload.publish_options.media_options[].user_tags[].yoneOf 2numberOpcional / elemento
  • minimum: 0
  • maximum: 1
request.targets[].provider_payload.publish_options.media_options[].product_tagsoneOf 2arrayOpcional / elemento
  • maxItems: 5
request.targets[].provider_payload.publish_options.media_options[].product_tags[]oneOf 2objectOpcional / elemento
  • additionalProperties: false
request.targets[].provider_payload.publish_options.media_options[].product_tags[].product_idoneOf 2stringObligatorio en el objeto principal
  • minLength: 1
  • maxLength: 256
request.targets[].provider_payload.publish_options.media_options[].product_tags[].xoneOf 2numberOpcional / elemento
  • minimum: 0
  • maximum: 1
request.targets[].provider_payload.publish_options.media_options[].product_tags[].yoneOf 2numberOpcional / elemento
  • minimum: 0
  • maximum: 1
request.targets[].provider_payload.publish_options.media_options[].thumb_offset_msoneOf 2integerOpcional / elemento
  • minimum: 0
  • maximum: 9007199254740991
request.targets[].provider_payloadoneOf 3objectObligatorio en el objeto principal
  • additionalProperties: false
request.targets[].provider_payload.platformoneOf 3stringObligatorio en el objeto principal
  • const: "facebook"
request.targets[].provider_payload.publish_optionsoneOf 3objectObligatorio en el objeto principal
  • additionalProperties: false
request.targets[].provider_payload.publish_options.post_typeoneOf 3stringObligatorio en el objeto principal
  • enum: ["TEXT","LINK","IMAGE","MULTI_IMAGE","VIDEO","REELS","STORY_IMAGE","STORY_VIDEO"]
request.targets[].provider_payload.publish_options.titleoneOf 3stringOpcional / elemento
  • maxLength: 255
request.targets[].provider_payload.publish_options.descriptiononeOf 3stringOpcional / elemento
  • maxLength: 5000
request.targets[].provider_payload.publish_options.publication_modeoneOf 3stringOpcional / elemento
  • enum: ["PUBLISH","DRAFT"]
request.targets[].provider_payload.publish_options.backdated_timeoneOf 3numberOpcional / elemento—
request.targets[].provider_payload.publish_options.backdated_time_granularityoneOf 3stringOpcional / elemento
  • enum: ["year","month","day","hour","minute"]
request.targets[].provider_payload.publish_options.placeoneOf 3stringOpcional / elemento
  • minLength: 1
  • maxLength: 256
request.targets[].provider_payload.publish_options.tagsoneOf 3arrayOpcional / elemento
  • maxItems: 50
request.targets[].provider_payload.publish_options.tags[]oneOf 3stringOpcional / elemento
  • minLength: 1
  • maxLength: 256
request.targets[].provider_payload.publish_options.feed_targetingoneOf 3objectOpcional / elemento
  • additionalProperties: false
request.targets[].provider_payload.publish_options.feed_targeting.age_minoneOf 3integerOpcional / elemento
  • minimum: 13
  • maximum: 65
request.targets[].provider_payload.publish_options.feed_targeting.age_maxoneOf 3integerOpcional / elemento
  • minimum: 13
  • maximum: 65
request.targets[].provider_payload.publish_options.feed_targeting.college_yearsoneOf 3arrayOpcional / elemento
  • maxItems: 100
request.targets[].provider_payload.publish_options.feed_targeting.college_years[]oneOf 3integerOpcional / elemento
  • minimum: 1900
  • maximum: 2200
request.targets[].provider_payload.publish_options.feed_targeting.education_statusesoneOf 3arrayOpcional / elemento
  • maxItems: 3
request.targets[].provider_payload.publish_options.feed_targeting.education_statuses[]oneOf 3numberOpcional / elemento—
request.targets[].provider_payload.publish_options.feed_targeting.education_statuses[]oneOf 3 / anyOf 1numberOpcional / elemento
  • const: 1
request.targets[].provider_payload.publish_options.feed_targeting.education_statuses[]oneOf 3 / anyOf 2numberOpcional / elemento
  • const: 2
request.targets[].provider_payload.publish_options.feed_targeting.education_statuses[]oneOf 3 / anyOf 3numberOpcional / elemento
  • const: 3
request.targets[].provider_payload.publish_options.feed_targeting.gendersoneOf 3arrayOpcional / elemento
  • maxItems: 2
request.targets[].provider_payload.publish_options.feed_targeting.genders[]oneOf 3numberOpcional / elemento—
request.targets[].provider_payload.publish_options.feed_targeting.genders[]oneOf 3 / anyOf 1numberOpcional / elemento
  • const: 1
request.targets[].provider_payload.publish_options.feed_targeting.genders[]oneOf 3 / anyOf 2numberOpcional / elemento
  • const: 2
request.targets[].provider_payload.publish_options.feed_targeting.geo_locationsoneOf 3objectOpcional / elemento
  • additionalProperties: false
request.targets[].provider_payload.publish_options.feed_targeting.geo_locations.countriesoneOf 3arrayOpcional / elemento
  • minItems: 1
  • maxItems: 25
request.targets[].provider_payload.publish_options.feed_targeting.geo_locations.countries[]oneOf 3stringOpcional / elemento
  • pattern: "^[A-Z]{2}$"
request.targets[].provider_payload.publish_options.feed_targeting.geo_locations.regionsoneOf 3arrayOpcional / elemento
  • minItems: 1
  • maxItems: 250
request.targets[].provider_payload.publish_options.feed_targeting.geo_locations.regions[]oneOf 3objectOpcional / elemento
  • additionalProperties: false
request.targets[].provider_payload.publish_options.feed_targeting.geo_locations.regions[].keyoneOf 3string | integerObligatorio en el objeto principal—
request.targets[].provider_payload.publish_options.feed_targeting.geo_locations.regions[].keyoneOf 3 / anyOf 1stringObligatorio en el objeto principal
  • minLength: 1
  • maxLength: 256
request.targets[].provider_payload.publish_options.feed_targeting.geo_locations.regions[].keyoneOf 3 / anyOf 2integerObligatorio en el objeto principal
  • minimum: 0
  • maximum: 9007199254740991
request.targets[].provider_payload.publish_options.feed_targeting.geo_locations.citiesoneOf 3arrayOpcional / elemento
  • minItems: 1
  • maxItems: 250
request.targets[].provider_payload.publish_options.feed_targeting.geo_locations.cities[]oneOf 3objectOpcional / elemento
  • additionalProperties: false
request.targets[].provider_payload.publish_options.feed_targeting.geo_locations.cities[].keyoneOf 3string | integerObligatorio en el objeto principal—
request.targets[].provider_payload.publish_options.feed_targeting.geo_locations.cities[].keyoneOf 3 / anyOf 1stringObligatorio en el objeto principal
  • minLength: 1
  • maxLength: 256
request.targets[].provider_payload.publish_options.feed_targeting.geo_locations.cities[].keyoneOf 3 / anyOf 2integerObligatorio en el objeto principal
  • minimum: 0
  • maximum: 9007199254740991
request.targets[].provider_payload.publish_options.feed_targeting.geo_locations.cities[].radiusoneOf 3numberOpcional / elemento
  • maximum: 1000
  • exclusiveMinimum: 0
request.targets[].provider_payload.publish_options.feed_targeting.geo_locations.cities[].distance_unitoneOf 3stringOpcional / elemento
  • enum: ["mile","kilometer"]
request.targets[].provider_payload.publish_options.feed_targeting.geo_locations.zipsoneOf 3arrayOpcional / elemento
  • minItems: 1
  • maxItems: 250
request.targets[].provider_payload.publish_options.feed_targeting.geo_locations.zips[]oneOf 3objectOpcional / elemento
  • additionalProperties: false
request.targets[].provider_payload.publish_options.feed_targeting.geo_locations.zips[].keyoneOf 3string | integerObligatorio en el objeto principal—
request.targets[].provider_payload.publish_options.feed_targeting.geo_locations.zips[].keyoneOf 3 / anyOf 1stringObligatorio en el objeto principal
  • minLength: 1
  • maxLength: 256
request.targets[].provider_payload.publish_options.feed_targeting.geo_locations.zips[].keyoneOf 3 / anyOf 2integerObligatorio en el objeto principal
  • minimum: 0
  • maximum: 9007199254740991
request.targets[].provider_payload.publish_options.feed_targeting.geo_locations.location_typesoneOf 3arrayOpcional / elemento
  • minItems: 1
  • maxItems: 2
request.targets[].provider_payload.publish_options.feed_targeting.geo_locations.location_types[]oneOf 3stringOpcional / elemento
  • enum: ["home","recent"]
request.targets[].provider_payload.publish_options.feed_targeting.interestsoneOf 3arrayOpcional / elemento
  • maxItems: 250
request.targets[].provider_payload.publish_options.feed_targeting.interests[]oneOf 3string | integerOpcional / elemento—
request.targets[].provider_payload.publish_options.feed_targeting.interests[]oneOf 3 / anyOf 1stringOpcional / elemento
  • minLength: 1
  • maxLength: 256
request.targets[].provider_payload.publish_options.feed_targeting.interests[]oneOf 3 / anyOf 2integerOpcional / elemento
  • minimum: 0
  • maximum: 9007199254740991
request.targets[].provider_payload.publish_options.feed_targeting.localesoneOf 3arrayOpcional / elemento
  • maxItems: 250
request.targets[].provider_payload.publish_options.feed_targeting.locales[]oneOf 3integerOpcional / elemento
  • minimum: 0
  • maximum: 9007199254740991
request.targets[].provider_payload.publish_options.feed_targeting.relationship_statusesoneOf 3arrayOpcional / elemento
  • maxItems: 4
request.targets[].provider_payload.publish_options.feed_targeting.relationship_statuses[]oneOf 3numberOpcional / elemento—
request.targets[].provider_payload.publish_options.feed_targeting.relationship_statuses[]oneOf 3 / anyOf 1numberOpcional / elemento
  • const: 1
request.targets[].provider_payload.publish_options.feed_targeting.relationship_statuses[]oneOf 3 / anyOf 2numberOpcional / elemento
  • const: 2
request.targets[].provider_payload.publish_options.feed_targeting.relationship_statuses[]oneOf 3 / anyOf 3numberOpcional / elemento
  • const: 3
request.targets[].provider_payload.publish_options.feed_targeting.relationship_statuses[]oneOf 3 / anyOf 4numberOpcional / elemento
  • const: 4
request.targets[].provider_payload.publish_options.targetingoneOf 3objectOpcional / elemento
  • additionalProperties: false
request.targets[].provider_payload.publish_options.targeting.age_minoneOf 3numberOpcional / elemento—
request.targets[].provider_payload.publish_options.targeting.age_minoneOf 3 / anyOf 1numberOpcional / elemento
  • const: 13
request.targets[].provider_payload.publish_options.targeting.age_minoneOf 3 / anyOf 2numberOpcional / elemento
  • const: 15
request.targets[].provider_payload.publish_options.targeting.age_minoneOf 3 / anyOf 3numberOpcional / elemento
  • const: 18
request.targets[].provider_payload.publish_options.targeting.age_minoneOf 3 / anyOf 4numberOpcional / elemento
  • const: 21
request.targets[].provider_payload.publish_options.targeting.age_minoneOf 3 / anyOf 5numberOpcional / elemento
  • const: 25
request.targets[].provider_payload.publish_options.targeting.geo_locationsoneOf 3objectOpcional / elemento
  • additionalProperties: false
request.targets[].provider_payload.publish_options.targeting.geo_locations.countriesoneOf 3arrayOpcional / elemento
  • minItems: 1
  • maxItems: 25
request.targets[].provider_payload.publish_options.targeting.geo_locations.countries[]oneOf 3stringOpcional / elemento
  • pattern: "^[A-Z]{2}$"
request.targets[].provider_payload.publish_options.targeting.geo_locations.regionsoneOf 3arrayOpcional / elemento
  • minItems: 1
  • maxItems: 250
request.targets[].provider_payload.publish_options.targeting.geo_locations.regions[]oneOf 3objectOpcional / elemento
  • additionalProperties: false
request.targets[].provider_payload.publish_options.targeting.geo_locations.regions[].keyoneOf 3string | integerObligatorio en el objeto principal—
request.targets[].provider_payload.publish_options.targeting.geo_locations.regions[].keyoneOf 3 / anyOf 1stringObligatorio en el objeto principal
  • minLength: 1
  • maxLength: 256
request.targets[].provider_payload.publish_options.targeting.geo_locations.regions[].keyoneOf 3 / anyOf 2integerObligatorio en el objeto principal
  • minimum: 0
  • maximum: 9007199254740991
request.targets[].provider_payload.publish_options.targeting.geo_locations.citiesoneOf 3arrayOpcional / elemento
  • minItems: 1
  • maxItems: 250
request.targets[].provider_payload.publish_options.targeting.geo_locations.cities[]oneOf 3objectOpcional / elemento
  • additionalProperties: false
request.targets[].provider_payload.publish_options.targeting.geo_locations.cities[].keyoneOf 3string | integerObligatorio en el objeto principal—
request.targets[].provider_payload.publish_options.targeting.geo_locations.cities[].keyoneOf 3 / anyOf 1stringObligatorio en el objeto principal
  • minLength: 1
  • maxLength: 256
request.targets[].provider_payload.publish_options.targeting.geo_locations.cities[].keyoneOf 3 / anyOf 2integerObligatorio en el objeto principal
  • minimum: 0
  • maximum: 9007199254740991
request.targets[].provider_payload.publish_options.targeting.geo_locations.cities[].radiusoneOf 3numberOpcional / elemento
  • maximum: 1000
  • exclusiveMinimum: 0
request.targets[].provider_payload.publish_options.targeting.geo_locations.cities[].distance_unitoneOf 3stringOpcional / elemento
  • enum: ["mile","kilometer"]
request.targets[].provider_payload.publish_options.targeting.geo_locations.zipsoneOf 3arrayOpcional / elemento
  • minItems: 1
  • maxItems: 250
request.targets[].provider_payload.publish_options.targeting.geo_locations.zips[]oneOf 3objectOpcional / elemento
  • additionalProperties: false
request.targets[].provider_payload.publish_options.targeting.geo_locations.zips[].keyoneOf 3string | integerObligatorio en el objeto principal—
request.targets[].provider_payload.publish_options.targeting.geo_locations.zips[].keyoneOf 3 / anyOf 1stringObligatorio en el objeto principal
  • minLength: 1
  • maxLength: 256
request.targets[].provider_payload.publish_options.targeting.geo_locations.zips[].keyoneOf 3 / anyOf 2integerObligatorio en el objeto principal
  • minimum: 0
  • maximum: 9007199254740991
request.targets[].provider_payload.publish_options.targeting.geo_locations.location_typesoneOf 3arrayOpcional / elemento
  • minItems: 1
  • maxItems: 2
request.targets[].provider_payload.publish_options.targeting.geo_locations.location_types[]oneOf 3stringOpcional / elemento
  • enum: ["home","recent"]
request.targets[].provider_payload.publish_options.child_attachmentsoneOf 3arrayOpcional / elemento
  • minItems: 2
  • maxItems: 10
request.targets[].provider_payload.publish_options.child_attachments[]oneOf 3objectOpcional / elemento
  • additionalProperties: false
request.targets[].provider_payload.publish_options.child_attachments[].linkoneOf 3stringObligatorio en el objeto principal
  • format: "uri"
request.targets[].provider_payload.publish_options.child_attachments[].nameoneOf 3stringOpcional / elemento
  • maxLength: 255
request.targets[].provider_payload.publish_options.child_attachments[].descriptiononeOf 3stringOpcional / elemento
  • maxLength: 1000
request.targets[].provider_payload.publish_options.child_attachments[].pictureoneOf 3stringObligatorio en el objeto principal
  • format: "uri"
request.targets[].provider_payload.publish_options.multi_share_end_cardoneOf 3booleanOpcional / elemento—
request.targets[].provider_payload.publish_options.multi_share_optimizedoneOf 3booleanOpcional / elemento—
request.targets[].provider_payload.publish_options.unpublished_content_typeoneOf 3stringOpcional / elemento
  • enum: ["SCHEDULED","SCHEDULED_RECURRING","DRAFT","PUBLISH_PENDING","ADS_POST","INLINE_CREATED","PUBLISHED","REVIEWABLE_BRANDED_CONTENT"]
request.targets[].provider_payload.publish_options.no_storyoneOf 3booleanOpcional / elemento—
request.targets[].provider_payload.publish_options.crossposted_video_idoneOf 3stringOpcional / elemento
  • minLength: 1
  • maxLength: 256
request.targets[].provider_payload.publish_options.sphericaloneOf 3booleanOpcional / elemento—
request.targets[].provider_payload.publish_options.media_optionsoneOf 3arrayOpcional / elemento
  • maxItems: 20
request.targets[].provider_payload.publish_options.media_options[]oneOf 3objectOpcional / elemento
  • additionalProperties: false
request.targets[].provider_payload.publish_options.media_options[].asset_idoneOf 3integerObligatorio en el objeto principal
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
request.targets[].provider_payload.publish_options.media_options[].alt_text_customoneOf 3stringOpcional / elemento
  • minLength: 1
  • maxLength: 1000
request.targets[].provider_payloadoneOf 4objectObligatorio en el objeto principal
  • additionalProperties: false
request.targets[].provider_payload.platformoneOf 4stringObligatorio en el objeto principal
  • const: "threads"
request.targets[].provider_payload.publish_optionsoneOf 4objectObligatorio en el objeto principal
  • additionalProperties: false
request.targets[].provider_payload.publish_options.post_typeoneOf 4stringObligatorio en el objeto principal
  • enum: ["TEXT","IMAGE","VIDEO","CAROUSEL","REPOST"]
request.targets[].provider_payload.publish_options.reply_to_idoneOf 4stringOpcional / elemento
  • minLength: 1
  • maxLength: 256
request.targets[].provider_payload.publish_options.quote_post_idoneOf 4stringOpcional / elemento
  • minLength: 1
  • maxLength: 256
request.targets[].provider_payload.publish_options.repost_target_idoneOf 4stringOpcional / elemento
  • minLength: 1
  • maxLength: 256
request.targets[].provider_payload.publish_options.reply_controloneOf 4stringOpcional / elemento
  • enum: ["everyone","accounts_you_follow","mentioned_only","parent_post_author_only","followers_only"]
request.targets[].provider_payload.publish_options.enable_reply_approvalsoneOf 4booleanOpcional / elemento—
request.targets[].provider_payload.publish_options.link_attachmentoneOf 4stringOpcional / elemento
  • format: "uri"
request.targets[].provider_payload.publish_options.poll_attachmentoneOf 4objectOpcional / elemento
  • additionalProperties: false
request.targets[].provider_payload.publish_options.poll_attachment.option_aoneOf 4stringObligatorio en el objeto principal
  • minLength: 1
  • maxLength: 25
request.targets[].provider_payload.publish_options.poll_attachment.option_boneOf 4stringObligatorio en el objeto principal
  • minLength: 1
  • maxLength: 25
request.targets[].provider_payload.publish_options.poll_attachment.option_coneOf 4stringOpcional / elemento
  • minLength: 1
  • maxLength: 25
request.targets[].provider_payload.publish_options.poll_attachment.option_doneOf 4stringOpcional / elemento
  • minLength: 1
  • maxLength: 25
request.targets[].provider_payload.publish_options.gif_attachmentoneOf 4objectOpcional / elemento
  • additionalProperties: false
request.targets[].provider_payload.publish_options.gif_attachment.gif_idoneOf 4stringObligatorio en el objeto principal
  • minLength: 1
  • maxLength: 256
request.targets[].provider_payload.publish_options.gif_attachment.provideroneOf 4stringObligatorio en el objeto principal
  • const: "GIPHY"
request.targets[].provider_payload.publish_options.text_attachmentoneOf 4objectOpcional / elemento
  • additionalProperties: false
request.targets[].provider_payload.publish_options.text_attachment.plaintextoneOf 4stringObligatorio en el objeto principal
  • minLength: 1
  • maxLength: 10000
request.targets[].provider_payload.publish_options.text_attachment.link_attachment_urloneOf 4stringOpcional / elemento
  • format: "uri"
request.targets[].provider_payload.publish_options.text_attachment.text_with_styling_infooneOf 4arrayOpcional / elemento
  • maxItems: 100
request.targets[].provider_payload.publish_options.text_attachment.text_with_styling_info[]oneOf 4objectOpcional / elemento
  • additionalProperties: false
request.targets[].provider_payload.publish_options.text_attachment.text_with_styling_info[].offsetoneOf 4integerObligatorio en el objeto principal
  • minimum: 0
  • maximum: 9007199254740991
request.targets[].provider_payload.publish_options.text_attachment.text_with_styling_info[].lengthoneOf 4integerObligatorio en el objeto principal
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
request.targets[].provider_payload.publish_options.text_attachment.text_with_styling_info[].styling_infooneOf 4arrayObligatorio en el objeto principal
  • minItems: 1
request.targets[].provider_payload.publish_options.text_attachment.text_with_styling_info[].styling_info[]oneOf 4stringOpcional / elemento
  • enum: ["bold","italic","highlight","underline","strikethrough"]
request.targets[].provider_payload.publish_options.topic_tagoneOf 4stringOpcional / elemento
  • minLength: 1
  • maxLength: 50
request.targets[].provider_payload.publish_options.text_entitiesoneOf 4arrayOpcional / elemento
  • maxItems: 10
request.targets[].provider_payload.publish_options.text_entities[]oneOf 4objectOpcional / elemento
  • additionalProperties: false
request.targets[].provider_payload.publish_options.text_entities[].entity_typeoneOf 4stringObligatorio en el objeto principal
  • enum: ["SPOILER","spoiler"]
request.targets[].provider_payload.publish_options.text_entities[].offsetoneOf 4integerObligatorio en el objeto principal
  • minimum: 0
  • maximum: 9007199254740991
request.targets[].provider_payload.publish_options.text_entities[].lengthoneOf 4integerObligatorio en el objeto principal
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
request.targets[].provider_payload.publish_options.is_spoiler_mediaoneOf 4booleanOpcional / elemento—
request.targets[].provider_payload.publish_options.is_ghost_postoneOf 4booleanOpcional / elemento—
request.targets[].provider_payload.publish_options.location_idoneOf 4stringOpcional / elemento
  • minLength: 1
  • maxLength: 256
request.targets[].provider_payload.publish_options.allowlisted_country_codesoneOf 4arrayOpcional / elemento
  • minItems: 1
  • maxItems: 249
request.targets[].provider_payload.publish_options.allowlisted_country_codes[]oneOf 4stringOpcional / elemento
  • pattern: "^[A-Z]{2}$"
request.targets[].provider_payload.publish_options.crossreshare_to_igoneOf 4booleanOpcional / elemento—
request.targets[].provider_payload.publish_options.crossreshare_to_ig_dark_modeoneOf 4booleanOpcional / elemento—
request.targets[].provider_payload.publish_options.auto_publish_textoneOf 4booleanOpcional / elemento—
request.targets[].provider_payload.publish_options.media_optionsoneOf 4arrayOpcional / elemento
  • maxItems: 20
request.targets[].provider_payload.publish_options.media_options[]oneOf 4objectOpcional / elemento
  • additionalProperties: false
request.targets[].provider_payload.publish_options.media_options[].asset_idoneOf 4integerObligatorio en el objeto principal
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
request.targets[].provider_payload.publish_options.media_options[].alt_textoneOf 4stringOpcional / elemento
  • minLength: 1
  • maxLength: 1000
request.targets[].provider_payload.publish_options.media_options[].is_spoiler_mediaoneOf 4booleanOpcional / elemento—
request.targets[].provider_payloadoneOf 5objectObligatorio en el objeto principal
  • additionalProperties: false
request.targets[].provider_payload.platformoneOf 5stringObligatorio en el objeto principal
  • const: "youtube"
request.targets[].provider_payload.publish_optionsoneOf 5objectObligatorio en el objeto principal
  • additionalProperties: false
request.targets[].provider_payload.publish_options.post_typeoneOf 5stringObligatorio en el objeto principal
  • const: "VIDEO"
request.targets[].provider_payload.publish_options.titleoneOf 5stringObligatorio en el objeto principal
  • minLength: 1
  • maxLength: 100
request.targets[].provider_payload.publish_options.descriptiononeOf 5stringOpcional / elemento
  • maxLength: 5000
request.targets[].provider_payload.publish_options.tagsoneOf 5arrayOpcional / elemento
  • maxItems: 100
request.targets[].provider_payload.publish_options.tags[]oneOf 5stringOpcional / elemento
  • minLength: 1
  • maxLength: 500
request.targets[].provider_payload.publish_options.category_idoneOf 5stringOpcional / elemento—
request.targets[].provider_payload.publish_options.category_idoneOf 5 / anyOf 1stringOpcional / elemento
  • minLength: 0
  • maxLength: 0
request.targets[].provider_payload.publish_options.category_idoneOf 5 / anyOf 2stringOpcional / elemento
  • pattern: "^\\d+$"
request.targets[].provider_payload.publish_options.default_languageoneOf 5stringOpcional / elemento
  • minLength: 2
  • maxLength: 35
request.targets[].provider_payload.publish_options.localizationsoneOf 5objectOpcional / elemento
  • additionalProperties: {"type":"object","properties":{"title":{"type":"string","minLength":1,"maxLength":100},"description":{"type":"string","maxLength":5000}},"required":["title","description"],"additionalProperties":false}
request.targets[].provider_payload.publish_options.localizations.*oneOf 5objectOpcional / elemento
  • additionalProperties: false
request.targets[].provider_payload.publish_options.localizations.*.titleoneOf 5stringObligatorio en el objeto principal
  • minLength: 1
  • maxLength: 100
request.targets[].provider_payload.publish_options.localizations.*.descriptiononeOf 5stringObligatorio en el objeto principal
  • maxLength: 5000
request.targets[].provider_payload.publish_options.privacy_statusoneOf 5stringObligatorio en el objeto principal
  • enum: ["private","unlisted","public"]
request.targets[].provider_payload.publish_options.cancellation_modeoneOf 5stringObligatorio en el objeto principal
  • enum: ["DELETE","UNSCHEDULE_KEEP_PRIVATE"]
request.targets[].provider_payload.publish_options.licenseoneOf 5stringOpcional / elemento
  • enum: ["youtube","creativeCommon"]
request.targets[].provider_payload.publish_options.embeddableoneOf 5booleanOpcional / elemento—
request.targets[].provider_payload.publish_options.public_stats_viewableoneOf 5booleanOpcional / elemento—
request.targets[].provider_payload.publish_options.self_declared_made_for_kidsoneOf 5booleanOpcional / elemento—
request.targets[].provider_payload.publish_options.contains_synthetic_mediaoneOf 5booleanOpcional / elemento—
request.targets[].provider_payload.publish_options.has_paid_product_placementoneOf 5booleanOpcional / elemento—
request.targets[].provider_payload.publish_options.recording_dateoneOf 5stringOpcional / elemento
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
request.targets[].provider_payload.publish_options.notify_subscribersoneOf 5booleanOpcional / elemento—
request.targets[].provider_payload.publish_options.thumbnail_asset_idoneOf 5integerOpcional / elemento
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
request.targets[].provider_payload.publish_options.surface_expectationoneOf 5stringOpcional / elemento
  • const: "SHORT"
request.targets[].provider_payload.publish_options.brand_partneroneOf 5objectOpcional / elemento
  • additionalProperties: false
request.targets[].provider_payload.publish_options.brand_partner.channel_idoneOf 5stringOpcional / elemento
  • pattern: "^UC[A-Za-z0-9_-]+$"
request.targets[].provider_payload.publish_options.brand_partner.channel_handleoneOf 5stringOpcional / elemento
  • pattern: "^@[A-Za-z0-9._-]+$"
request.targets[].scheduled_atstringObligatorio en el objeto principal
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
request.targets[].display_timezonestringOpcional / elemento
  • minLength: 1
  • maxLength: 80
  • default: "UTC"
request.targets[].local_scheduled_atstringOpcional / elemento
  • pattern: "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}(?::\\d{2}(?:\\.\\d{1,6})?)?$"
request.targets[].schedule_dst_disambiguationstringOpcional / elemento
  • enum: ["exact","earlier","later"]
request.targets[].expires_atstring | nullOpcional / elemento—
request.targets[].expires_atanyOf 1stringOpcional / elemento
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
request.targets[].expires_atanyOf 2nullOpcional / elemento—
request.targets[].source_refobject | nullOpcional / elemento—
request.targets[].source_refanyOf 1objectOpcional / elemento
  • additionalProperties: {}
request.targets[].source_ref.*anyOf 1any JSON valueOpcional / elemento—
request.targets[].source_refanyOf 2nullOpcional / elemento—
request.targets[].automatic_retry_enabledbooleanOpcional / elemento
  • default: true
request.targets[].idempotency_keystringObligatorio en el objeto principal
  • minLength: 8
  • maxLength: 160
JSON Schema completo
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    },
    "expected_revision": {
      "type": "integer",
      "exclusiveMinimum": 0,
      "maximum": 9007199254740991
    },
    "mutation_id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    },
    "content": {
      "type": "object",
      "properties": {
        "schemaVersion": {
          "default": 1,
          "type": "number",
          "const": 1
        },
        "accountIds": {
          "default": [],
          "maxItems": 50,
          "type": "array",
          "items": {
            "type": "string",
            "format": "uuid",
            "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
          }
        },
        "caption": {
          "default": "",
          "type": "string",
          "maxLength": 5000
        },
        "hashtags": {
          "default": "",
          "type": "string",
          "maxLength": 5000
        },
        "assetIds": {
          "default": [],
          "maxItems": 20,
          "type": "array",
          "items": {
            "type": "string",
            "maxLength": 16,
            "pattern": "^[1-9][0-9]*$"
          }
        },
        "threadsTextOnly": {
          "default": false,
          "type": "boolean"
        },
        "instagramMode": {
          "default": "REELS",
          "type": "string",
          "enum": [
            "IMAGE",
            "REELS",
            "CAROUSEL",
            "STORY_IMAGE",
            "STORY_VIDEO"
          ]
        },
        "youtubeTitle": {
          "default": "",
          "type": "string",
          "maxLength": 100
        },
        "youtubePrivacy": {
          "default": "private",
          "type": "string",
          "enum": [
            "private",
            "unlisted",
            "public"
          ]
        },
        "youtubeSynthetic": {
          "default": false,
          "type": "boolean"
        },
        "youtubeCategoryId": {
          "default": "",
          "type": "string",
          "maxLength": 32
        },
        "youtubeShort": {
          "default": false,
          "type": "boolean"
        },
        "linkUrl": {
          "default": "",
          "type": "string",
          "maxLength": 2048
        },
        "scheduledAt": {
          "default": "",
          "type": "string",
          "maxLength": 64
        },
        "displayTimezone": {
          "default": "UTC",
          "type": "string",
          "minLength": 1,
          "maxLength": 128
        },
        "publishNow": {
          "default": false,
          "type": "boolean"
        },
        "destinationOverrides": {
          "default": {},
          "type": "object",
          "propertyNames": {
            "type": "string",
            "format": "uuid",
            "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
          },
          "additionalProperties": {
            "type": "object",
            "properties": {
              "caption": {
                "type": "string",
                "maxLength": 5000
              },
              "scheduledAt": {
                "type": "string",
                "maxLength": 64
              }
            },
            "additionalProperties": false
          }
        },
        "expiresAt": {
          "default": "",
          "type": "string",
          "maxLength": 64
        }
      },
      "additionalProperties": false
    },
    "request": {
      "type": "object",
      "properties": {
        "workspace_id": {
          "type": "string",
          "format": "uuid",
          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
        },
        "project_id": {
          "anyOf": [
            {
              "type": "string",
              "format": "uuid",
              "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
            },
            {
              "type": "null"
            }
          ]
        },
        "source_ref": {
          "anyOf": [
            {
              "type": "object",
              "propertyNames": {
                "type": "string"
              },
              "additionalProperties": {}
            },
            {
              "type": "null"
            }
          ]
        },
        "targets": {
          "minItems": 1,
          "maxItems": 50,
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "social_account_id": {
                "type": "string",
                "format": "uuid",
                "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
              },
              "caption": {
                "default": null,
                "anyOf": [
                  {
                    "type": "string",
                    "maxLength": 5000
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "hashtags": {
                "default": [],
                "maxItems": 100,
                "type": "array",
                "items": {
                  "type": "string",
                  "maxLength": 100
                }
              },
              "media": {
                "default": [],
                "maxItems": 20,
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "kind": {
                      "type": "string",
                      "enum": [
                        "image",
                        "video"
                      ]
                    },
                    "url": {
                      "type": "string",
                      "format": "uri"
                    },
                    "cover_url": {
                      "anyOf": [
                        {
                          "type": "string",
                          "format": "uri"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "cover_asset_id": {
                      "anyOf": [
                        {
                          "type": "integer",
                          "exclusiveMinimum": 0,
                          "maximum": 9007199254740991
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "asset_id": {
                      "anyOf": [
                        {
                          "type": "integer",
                          "exclusiveMinimum": 0,
                          "maximum": 9007199254740991
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "mime_type": {
                      "anyOf": [
                        {
                          "type": "string",
                          "minLength": 1,
                          "maxLength": 160
                        },
                        {
                          "type": "null"
                        }
                      ]
                    }
                  },
                  "required": [
                    "kind",
                    "url"
                  ],
                  "additionalProperties": false
                }
              },
              "link_url": {
                "anyOf": [
                  {
                    "type": "string",
                    "format": "uri"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "provider_payload": {
                "oneOf": [
                  {
                    "type": "object",
                    "properties": {
                      "platform": {
                        "type": "string",
                        "const": "x"
                      },
                      "publish_options": {
                        "type": "object",
                        "properties": {
                          "post_type": {
                            "type": "string",
                            "enum": [
                              "TEXT",
                              "VIDEO"
                            ]
                          }
                        },
                        "required": [
                          "post_type"
                        ],
                        "additionalProperties": false
                      }
                    },
                    "required": [
                      "platform",
                      "publish_options"
                    ],
                    "additionalProperties": false
                  },
                  {
                    "type": "object",
                    "properties": {
                      "platform": {
                        "type": "string",
                        "const": "instagram"
                      },
                      "publish_options": {
                        "type": "object",
                        "properties": {
                          "post_type": {
                            "type": "string",
                            "enum": [
                              "IMAGE",
                              "VIDEO",
                              "CAROUSEL",
                              "REELS",
                              "STORY_IMAGE",
                              "STORY_VIDEO"
                            ]
                          },
                          "location_id": {
                            "type": "string",
                            "minLength": 1,
                            "maxLength": 256
                          },
                          "share_to_feed": {
                            "type": "boolean"
                          },
                          "collaborators": {
                            "maxItems": 3,
                            "type": "array",
                            "items": {
                              "type": "string",
                              "minLength": 1,
                              "maxLength": 30
                            }
                          },
                          "first_comment": {
                            "type": "string",
                            "minLength": 1,
                            "maxLength": 2200
                          },
                          "cover_asset_id": {
                            "type": "integer",
                            "exclusiveMinimum": 0,
                            "maximum": 9007199254740991
                          },
                          "thumb_offset_ms": {
                            "type": "integer",
                            "minimum": 0,
                            "maximum": 9007199254740991
                          },
                          "audio_name": {
                            "type": "string",
                            "minLength": 1,
                            "maxLength": 100
                          },
                          "trial_params": {
                            "type": "object",
                            "properties": {
                              "graduation_strategy": {
                                "type": "string",
                                "enum": [
                                  "MANUAL",
                                  "SS_PERFORMANCE"
                                ]
                              }
                            },
                            "required": [
                              "graduation_strategy"
                            ],
                            "additionalProperties": false
                          },
                          "is_ai_generated": {
                            "type": "boolean"
                          },
                          "branded_content_sponsor_ids": {
                            "maxItems": 2,
                            "type": "array",
                            "items": {
                              "type": "string",
                              "minLength": 1,
                              "maxLength": 256
                            }
                          },
                          "is_paid_partnership": {
                            "type": "boolean"
                          },
                          "media_options": {
                            "maxItems": 10,
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "asset_id": {
                                  "type": "integer",
                                  "exclusiveMinimum": 0,
                                  "maximum": 9007199254740991
                                },
                                "alt_text": {
                                  "type": "string",
                                  "minLength": 1,
                                  "maxLength": 1000
                                },
                                "user_tags": {
                                  "maxItems": 20,
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "properties": {
                                      "username": {
                                        "type": "string",
                                        "minLength": 1,
                                        "maxLength": 30
                                      },
                                      "x": {
                                        "type": "number",
                                        "minimum": 0,
                                        "maximum": 1
                                      },
                                      "y": {
                                        "type": "number",
                                        "minimum": 0,
                                        "maximum": 1
                                      }
                                    },
                                    "required": [
                                      "username"
                                    ],
                                    "additionalProperties": false
                                  }
                                },
                                "product_tags": {
                                  "maxItems": 5,
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "properties": {
                                      "product_id": {
                                        "type": "string",
                                        "minLength": 1,
                                        "maxLength": 256
                                      },
                                      "x": {
                                        "type": "number",
                                        "minimum": 0,
                                        "maximum": 1
                                      },
                                      "y": {
                                        "type": "number",
                                        "minimum": 0,
                                        "maximum": 1
                                      }
                                    },
                                    "required": [
                                      "product_id"
                                    ],
                                    "additionalProperties": false
                                  }
                                },
                                "thumb_offset_ms": {
                                  "type": "integer",
                                  "minimum": 0,
                                  "maximum": 9007199254740991
                                }
                              },
                              "required": [
                                "asset_id"
                              ],
                              "additionalProperties": false
                            }
                          }
                        },
                        "required": [
                          "post_type"
                        ],
                        "additionalProperties": false
                      }
                    },
                    "required": [
                      "platform",
                      "publish_options"
                    ],
                    "additionalProperties": false
                  },
                  {
                    "type": "object",
                    "properties": {
                      "platform": {
                        "type": "string",
                        "const": "facebook"
                      },
                      "publish_options": {
                        "type": "object",
                        "properties": {
                          "post_type": {
                            "type": "string",
                            "enum": [
                              "TEXT",
                              "LINK",
                              "IMAGE",
                              "MULTI_IMAGE",
                              "VIDEO",
                              "REELS",
                              "STORY_IMAGE",
                              "STORY_VIDEO"
                            ]
                          },
                          "title": {
                            "type": "string",
                            "maxLength": 255
                          },
                          "description": {
                            "type": "string",
                            "maxLength": 5000
                          },
                          "publication_mode": {
                            "type": "string",
                            "enum": [
                              "PUBLISH",
                              "DRAFT"
                            ]
                          },
                          "backdated_time": {
                            "type": "number"
                          },
                          "backdated_time_granularity": {
                            "type": "string",
                            "enum": [
                              "year",
                              "month",
                              "day",
                              "hour",
                              "minute"
                            ]
                          },
                          "place": {
                            "type": "string",
                            "minLength": 1,
                            "maxLength": 256
                          },
                          "tags": {
                            "maxItems": 50,
                            "type": "array",
                            "items": {
                              "type": "string",
                              "minLength": 1,
                              "maxLength": 256
                            }
                          },
                          "feed_targeting": {
                            "type": "object",
                            "properties": {
                              "age_min": {
                                "type": "integer",
                                "minimum": 13,
                                "maximum": 65
                              },
                              "age_max": {
                                "type": "integer",
                                "minimum": 13,
                                "maximum": 65
                              },
                              "college_years": {
                                "maxItems": 100,
                                "type": "array",
                                "items": {
                                  "type": "integer",
                                  "minimum": 1900,
                                  "maximum": 2200
                                }
                              },
                              "education_statuses": {
                                "maxItems": 3,
                                "type": "array",
                                "items": {
                                  "anyOf": [
                                    {
                                      "type": "number",
                                      "const": 1
                                    },
                                    {
                                      "type": "number",
                                      "const": 2
                                    },
                                    {
                                      "type": "number",
                                      "const": 3
                                    }
                                  ]
                                }
                              },
                              "genders": {
                                "maxItems": 2,
                                "type": "array",
                                "items": {
                                  "anyOf": [
                                    {
                                      "type": "number",
                                      "const": 1
                                    },
                                    {
                                      "type": "number",
                                      "const": 2
                                    }
                                  ]
                                }
                              },
                              "geo_locations": {
                                "type": "object",
                                "properties": {
                                  "countries": {
                                    "minItems": 1,
                                    "maxItems": 25,
                                    "type": "array",
                                    "items": {
                                      "type": "string",
                                      "pattern": "^[A-Z]{2}$"
                                    }
                                  },
                                  "regions": {
                                    "minItems": 1,
                                    "maxItems": 250,
                                    "type": "array",
                                    "items": {
                                      "type": "object",
                                      "properties": {
                                        "key": {
                                          "anyOf": [
                                            {
                                              "type": "string",
                                              "minLength": 1,
                                              "maxLength": 256
                                            },
                                            {
                                              "type": "integer",
                                              "minimum": 0,
                                              "maximum": 9007199254740991
                                            }
                                          ]
                                        }
                                      },
                                      "required": [
                                        "key"
                                      ],
                                      "additionalProperties": false
                                    }
                                  },
                                  "cities": {
                                    "minItems": 1,
                                    "maxItems": 250,
                                    "type": "array",
                                    "items": {
                                      "type": "object",
                                      "properties": {
                                        "key": {
                                          "anyOf": [
                                            {
                                              "type": "string",
                                              "minLength": 1,
                                              "maxLength": 256
                                            },
                                            {
                                              "type": "integer",
                                              "minimum": 0,
                                              "maximum": 9007199254740991
                                            }
                                          ]
                                        },
                                        "radius": {
                                          "type": "number",
                                          "exclusiveMinimum": 0,
                                          "maximum": 1000
                                        },
                                        "distance_unit": {
                                          "type": "string",
                                          "enum": [
                                            "mile",
                                            "kilometer"
                                          ]
                                        }
                                      },
                                      "required": [
                                        "key"
                                      ],
                                      "additionalProperties": false
                                    }
                                  },
                                  "zips": {
                                    "minItems": 1,
                                    "maxItems": 250,
                                    "type": "array",
                                    "items": {
                                      "type": "object",
                                      "properties": {
                                        "key": {
                                          "anyOf": [
                                            {
                                              "type": "string",
                                              "minLength": 1,
                                              "maxLength": 256
                                            },
                                            {
                                              "type": "integer",
                                              "minimum": 0,
                                              "maximum": 9007199254740991
                                            }
                                          ]
                                        }
                                      },
                                      "required": [
                                        "key"
                                      ],
                                      "additionalProperties": false
                                    }
                                  },
                                  "location_types": {
                                    "minItems": 1,
                                    "maxItems": 2,
                                    "type": "array",
                                    "items": {
                                      "type": "string",
                                      "enum": [
                                        "home",
                                        "recent"
                                      ]
                                    }
                                  }
                                },
                                "additionalProperties": false
                              },
                              "interests": {
                                "maxItems": 250,
                                "type": "array",
                                "items": {
                                  "anyOf": [
                                    {
                                      "type": "string",
                                      "minLength": 1,
                                      "maxLength": 256
                                    },
                                    {
                                      "type": "integer",
                                      "minimum": 0,
                                      "maximum": 9007199254740991
                                    }
                                  ]
                                }
                              },
                              "locales": {
                                "maxItems": 250,
                                "type": "array",
                                "items": {
                                  "type": "integer",
                                  "minimum": 0,
                                  "maximum": 9007199254740991
                                }
                              },
                              "relationship_statuses": {
                                "maxItems": 4,
                                "type": "array",
                                "items": {
                                  "anyOf": [
                                    {
                                      "type": "number",
                                      "const": 1
                                    },
                                    {
                                      "type": "number",
                                      "const": 2
                                    },
                                    {
                                      "type": "number",
                                      "const": 3
                                    },
                                    {
                                      "type": "number",
                                      "const": 4
                                    }
                                  ]
                                }
                              }
                            },
                            "additionalProperties": false
                          },
                          "targeting": {
                            "type": "object",
                            "properties": {
                              "age_min": {
                                "anyOf": [
                                  {
                                    "type": "number",
                                    "const": 13
                                  },
                                  {
                                    "type": "number",
                                    "const": 15
                                  },
                                  {
                                    "type": "number",
                                    "const": 18
                                  },
                                  {
                                    "type": "number",
                                    "const": 21
                                  },
                                  {
                                    "type": "number",
                                    "const": 25
                                  }
                                ]
                              },
                              "geo_locations": {
                                "type": "object",
                                "properties": {
                                  "countries": {
                                    "minItems": 1,
                                    "maxItems": 25,
                                    "type": "array",
                                    "items": {
                                      "type": "string",
                                      "pattern": "^[A-Z]{2}$"
                                    }
                                  },
                                  "regions": {
                                    "minItems": 1,
                                    "maxItems": 250,
                                    "type": "array",
                                    "items": {
                                      "type": "object",
                                      "properties": {
                                        "key": {
                                          "anyOf": [
                                            {
                                              "type": "string",
                                              "minLength": 1,
                                              "maxLength": 256
                                            },
                                            {
                                              "type": "integer",
                                              "minimum": 0,
                                              "maximum": 9007199254740991
                                            }
                                          ]
                                        }
                                      },
                                      "required": [
                                        "key"
                                      ],
                                      "additionalProperties": false
                                    }
                                  },
                                  "cities": {
                                    "minItems": 1,
                                    "maxItems": 250,
                                    "type": "array",
                                    "items": {
                                      "type": "object",
                                      "properties": {
                                        "key": {
                                          "anyOf": [
                                            {
                                              "type": "string",
                                              "minLength": 1,
                                              "maxLength": 256
                                            },
                                            {
                                              "type": "integer",
                                              "minimum": 0,
                                              "maximum": 9007199254740991
                                            }
                                          ]
                                        },
                                        "radius": {
                                          "type": "number",
                                          "exclusiveMinimum": 0,
                                          "maximum": 1000
                                        },
                                        "distance_unit": {
                                          "type": "string",
                                          "enum": [
                                            "mile",
                                            "kilometer"
                                          ]
                                        }
                                      },
                                      "required": [
                                        "key"
                                      ],
                                      "additionalProperties": false
                                    }
                                  },
                                  "zips": {
                                    "minItems": 1,
                                    "maxItems": 250,
                                    "type": "array",
                                    "items": {
                                      "type": "object",
                                      "properties": {
                                        "key": {
                                          "anyOf": [
                                            {
                                              "type": "string",
                                              "minLength": 1,
                                              "maxLength": 256
                                            },
                                            {
                                              "type": "integer",
                                              "minimum": 0,
                                              "maximum": 9007199254740991
                                            }
                                          ]
                                        }
                                      },
                                      "required": [
                                        "key"
                                      ],
                                      "additionalProperties": false
                                    }
                                  },
                                  "location_types": {
                                    "minItems": 1,
                                    "maxItems": 2,
                                    "type": "array",
                                    "items": {
                                      "type": "string",
                                      "enum": [
                                        "home",
                                        "recent"
                                      ]
                                    }
                                  }
                                },
                                "additionalProperties": false
                              }
                            },
                            "additionalProperties": false
                          },
                          "child_attachments": {
                            "minItems": 2,
                            "maxItems": 10,
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "link": {
                                  "type": "string",
                                  "format": "uri"
                                },
                                "name": {
                                  "type": "string",
                                  "maxLength": 255
                                },
                                "description": {
                                  "type": "string",
                                  "maxLength": 1000
                                },
                                "picture": {
                                  "type": "string",
                                  "format": "uri"
                                }
                              },
                              "required": [
                                "link",
                                "picture"
                              ],
                              "additionalProperties": false
                            }
                          },
                          "multi_share_end_card": {
                            "type": "boolean"
                          },
                          "multi_share_optimized": {
                            "type": "boolean"
                          },
                          "unpublished_content_type": {
                            "type": "string",
                            "enum": [
                              "SCHEDULED",
                              "SCHEDULED_RECURRING",
                              "DRAFT",
                              "PUBLISH_PENDING",
                              "ADS_POST",
                              "INLINE_CREATED",
                              "PUBLISHED",
                              "REVIEWABLE_BRANDED_CONTENT"
                            ]
                          },
                          "no_story": {
                            "type": "boolean"
                          },
                          "crossposted_video_id": {
                            "type": "string",
                            "minLength": 1,
                            "maxLength": 256
                          },
                          "spherical": {
                            "type": "boolean"
                          },
                          "media_options": {
                            "maxItems": 20,
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "asset_id": {
                                  "type": "integer",
                                  "exclusiveMinimum": 0,
                                  "maximum": 9007199254740991
                                },
                                "alt_text_custom": {
                                  "type": "string",
                                  "minLength": 1,
                                  "maxLength": 1000
                                }
                              },
                              "required": [
                                "asset_id"
                              ],
                              "additionalProperties": false
                            }
                          }
                        },
                        "required": [
                          "post_type"
                        ],
                        "additionalProperties": false
                      }
                    },
                    "required": [
                      "platform",
                      "publish_options"
                    ],
                    "additionalProperties": false
                  },
                  {
                    "type": "object",
                    "properties": {
                      "platform": {
                        "type": "string",
                        "const": "threads"
                      },
                      "publish_options": {
                        "type": "object",
                        "properties": {
                          "post_type": {
                            "type": "string",
                            "enum": [
                              "TEXT",
                              "IMAGE",
                              "VIDEO",
                              "CAROUSEL",
                              "REPOST"
                            ]
                          },
                          "reply_to_id": {
                            "type": "string",
                            "minLength": 1,
                            "maxLength": 256
                          },
                          "quote_post_id": {
                            "type": "string",
                            "minLength": 1,
                            "maxLength": 256
                          },
                          "repost_target_id": {
                            "type": "string",
                            "minLength": 1,
                            "maxLength": 256
                          },
                          "reply_control": {
                            "type": "string",
                            "enum": [
                              "everyone",
                              "accounts_you_follow",
                              "mentioned_only",
                              "parent_post_author_only",
                              "followers_only"
                            ]
                          },
                          "enable_reply_approvals": {
                            "type": "boolean"
                          },
                          "link_attachment": {
                            "type": "string",
                            "format": "uri"
                          },
                          "poll_attachment": {
                            "type": "object",
                            "properties": {
                              "option_a": {
                                "type": "string",
                                "minLength": 1,
                                "maxLength": 25
                              },
                              "option_b": {
                                "type": "string",
                                "minLength": 1,
                                "maxLength": 25
                              },
                              "option_c": {
                                "type": "string",
                                "minLength": 1,
                                "maxLength": 25
                              },
                              "option_d": {
                                "type": "string",
                                "minLength": 1,
                                "maxLength": 25
                              }
                            },
                            "required": [
                              "option_a",
                              "option_b"
                            ],
                            "additionalProperties": false
                          },
                          "gif_attachment": {
                            "type": "object",
                            "properties": {
                              "gif_id": {
                                "type": "string",
                                "minLength": 1,
                                "maxLength": 256
                              },
                              "provider": {
                                "type": "string",
                                "const": "GIPHY"
                              }
                            },
                            "required": [
                              "gif_id",
                              "provider"
                            ],
                            "additionalProperties": false
                          },
                          "text_attachment": {
                            "type": "object",
                            "properties": {
                              "plaintext": {
                                "type": "string",
                                "minLength": 1,
                                "maxLength": 10000
                              },
                              "link_attachment_url": {
                                "type": "string",
                                "format": "uri"
                              },
                              "text_with_styling_info": {
                                "maxItems": 100,
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "offset": {
                                      "type": "integer",
                                      "minimum": 0,
                                      "maximum": 9007199254740991
                                    },
                                    "length": {
                                      "type": "integer",
                                      "exclusiveMinimum": 0,
                                      "maximum": 9007199254740991
                                    },
                                    "styling_info": {
                                      "minItems": 1,
                                      "type": "array",
                                      "items": {
                                        "type": "string",
                                        "enum": [
                                          "bold",
                                          "italic",
                                          "highlight",
                                          "underline",
                                          "strikethrough"
                                        ]
                                      }
                                    }
                                  },
                                  "required": [
                                    "offset",
                                    "length",
                                    "styling_info"
                                  ],
                                  "additionalProperties": false
                                }
                              }
                            },
                            "required": [
                              "plaintext"
                            ],
                            "additionalProperties": false
                          },
                          "topic_tag": {
                            "type": "string",
                            "minLength": 1,
                            "maxLength": 50
                          },
                          "text_entities": {
                            "maxItems": 10,
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "entity_type": {
                                  "type": "string",
                                  "enum": [
                                    "SPOILER",
                                    "spoiler"
                                  ]
                                },
                                "offset": {
                                  "type": "integer",
                                  "minimum": 0,
                                  "maximum": 9007199254740991
                                },
                                "length": {
                                  "type": "integer",
                                  "exclusiveMinimum": 0,
                                  "maximum": 9007199254740991
                                }
                              },
                              "required": [
                                "entity_type",
                                "offset",
                                "length"
                              ],
                              "additionalProperties": false
                            }
                          },
                          "is_spoiler_media": {
                            "type": "boolean"
                          },
                          "is_ghost_post": {
                            "type": "boolean"
                          },
                          "location_id": {
                            "type": "string",
                            "minLength": 1,
                            "maxLength": 256
                          },
                          "allowlisted_country_codes": {
                            "minItems": 1,
                            "maxItems": 249,
                            "type": "array",
                            "items": {
                              "type": "string",
                              "pattern": "^[A-Z]{2}$"
                            }
                          },
                          "crossreshare_to_ig": {
                            "type": "boolean"
                          },
                          "crossreshare_to_ig_dark_mode": {
                            "type": "boolean"
                          },
                          "auto_publish_text": {
                            "type": "boolean"
                          },
                          "media_options": {
                            "maxItems": 20,
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "asset_id": {
                                  "type": "integer",
                                  "exclusiveMinimum": 0,
                                  "maximum": 9007199254740991
                                },
                                "alt_text": {
                                  "type": "string",
                                  "minLength": 1,
                                  "maxLength": 1000
                                },
                                "is_spoiler_media": {
                                  "type": "boolean"
                                }
                              },
                              "required": [
                                "asset_id"
                              ],
                              "additionalProperties": false
                            }
                          }
                        },
                        "required": [
                          "post_type"
                        ],
                        "additionalProperties": false
                      }
                    },
                    "required": [
                      "platform",
                      "publish_options"
                    ],
                    "additionalProperties": false
                  },
                  {
                    "type": "object",
                    "properties": {
                      "platform": {
                        "type": "string",
                        "const": "youtube"
                      },
                      "publish_options": {
                        "type": "object",
                        "properties": {
                          "post_type": {
                            "type": "string",
                            "const": "VIDEO"
                          },
                          "title": {
                            "type": "string",
                            "minLength": 1,
                            "maxLength": 100
                          },
                          "description": {
                            "type": "string",
                            "maxLength": 5000
                          },
                          "tags": {
                            "maxItems": 100,
                            "type": "array",
                            "items": {
                              "type": "string",
                              "minLength": 1,
                              "maxLength": 500
                            }
                          },
                          "category_id": {
                            "anyOf": [
                              {
                                "type": "string",
                                "minLength": 0,
                                "maxLength": 0
                              },
                              {
                                "type": "string",
                                "pattern": "^\\d+$"
                              }
                            ]
                          },
                          "default_language": {
                            "type": "string",
                            "minLength": 2,
                            "maxLength": 35
                          },
                          "localizations": {
                            "type": "object",
                            "propertyNames": {
                              "type": "string"
                            },
                            "additionalProperties": {
                              "type": "object",
                              "properties": {
                                "title": {
[...]
